gRPC C#
gRPC C#
Namespaces
Grpc.Core
GrpcEnvironment Class
GrpcEnvironment Methods
SetLogger Method

GrpcEnvironment SetLogger Method

Sets the application-wide logger that should be used by gRPC.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static void SetLogger(
    	ILogger customLogger
    )

    Public Shared Sub SetLogger (
    	customLogger As ILogger
    )

    public:
    static void SetLogger(
    	ILogger^ customLogger
    )

    static member SetLogger :
            customLogger : ILogger -> unit

#### Parameters

customLogger
  Type: Grpc.Core.Logging
  ILogger

  [Missing <param name="customLogger"/> documentation for "M:Grpc.Core.GrpcEnvironment.SetLogger(Grpc.Core.Logging.ILogger)"]

See Also

#### Reference

GrpcEnvironment Class
Grpc.Core Namespace